# Licensing Server

Licensing web generates license files for Sangoma products.
    
A live demo could be found at [http://sangoma-lab.herokuapp.com/](http://sangoma-lab.herokuapp.com/)

## Run Locally

1.  You'll need ```Python 2.7``` and [pip 1.4 or later](http://www.pip-installer.org/en/latest/installing.html) installed too.

1.  Clone this repo with

        $ git clone http://cderivan@gitlab.sangoma.com/scm/~cderivan/license_server.git

1.  Initialize and activate a virtualenv:

        $ virtualenv --no-site-packages env
        $ source env/bin/activate

1.  Install dependencies in the project's lib directory.

        $ cd license_server
        $ pip install -r requirements.txt

1.  Import database

        $ cd license_server
	    $ sqlite3 sqlite3.db < sqlite3.db.dump

1.  Run this project locally from the command line:

        $ python server.py

1.  Visit the application [http://localhost:5000/](http://localhost:5000/) or [http://localhost:5000/admin](http://localhost:5000/admin)


## Gunicorn

[Gunicorn](http://gunicorn.org/) 'Green Unicorn' is a WSGI HTTP Server for UNIX. Running Licensing Server on this server is quite simple:

    $ gunicorn wsgi:app

## Deploy with Ansible
This playbook deploys a Licensing server. It assumes a ```CentOS release 6.3``` installation and is tested with ```Ansible 1.9.2```.

#####Setup host machine
1. Create a user for ansible play ssh access and git source code download, ```this user must have SUDO permission```, during the installation process. ansible installs dependencies, and install flask application as service.

    1.  Create the user:

            $ adduser sangoma

    1. Generates user keys pair ( add pub key to repository control )

            $ sudo -u sangoma -i
            $ ssh-keygen -t rsa -b 4096 -C "ansible@sangoma.com"

    1. Add sangoma user to SUDO

            $ visudo

            add follow line to the end of file:

            sangoma ALL=NOPASSWD: /bin/sh
            
        NOTE: SUDO could be removed after application install

#####Running ansible
On the client machine install ansible and run the playbook as following:

1.  Installl ansible
        
        pip install ansible

1.  Execute ansible

        ansible-playbook deploy.yml -u sangoma
        
output
        
        PLAY [webservers] ************************************************************* 
        
        GATHERING FACTS *************************************************************** 
        ok: [10.211.55.14]
        
        TASK: [install pip] *********************************************************** 
        ok: [10.211.55.14]
        
        TASK: [install virtualenv] **************************************************** 
        ok: [10.211.55.14]
        
        TASK: [install gcc] *********************************************************** 
        ok: [10.211.55.14]
        
        TASK: [install git] *********************************************************** 
        ok: [10.211.55.14]
        
        TASK: [install python-devel] ************************************************** 
        ok: [10.211.55.14]
        
        TASK: [install python-setuptools] ********************************************* 
        ok: [10.211.55.14]
        
        TASK: [create app folder] ***************************************************** 
        ok: [10.211.55.14]
        
        TASK: [set ownership] ********************************************************* 
        ok: [10.211.55.14]
        
        TASK: [deploy code from repository] ******************************************* 
        ok: [10.211.55.14]
        
        TASK: [ensure log directory] ************************************************** 
        ok: [10.211.55.14]
        
        TASK: [install dependencies into virtualenv] ********************************** 
        ok: [10.211.55.14]
        
        TASK: [copy service template] ************************************************* 
        changed: [10.211.55.14]
        
        TASK: [creates database] ****************************************************** 
        changed: [10.211.55.14]
        
        TASK: [start license_server] ************************************************** 
        changed: [10.211.55.14]
        
        PLAY RECAP ******************************************************************** 
        10.211.55.14               : ok=15   changed=3    unreachable=0    failed=0   
        
        
Visit the application [http://localhost:5000/](http://localhost:5000/) or [http://localhost:5000/admin](http://localhost:5000/admin)

NOTE: Login on admin page with user admin and password 123


