-- MySQL dump 10.14  Distrib 5.5.52-MariaDB, for Linux (x86_64)
--
-- Host: localhost    Database: pool
-- ------------------------------------------------------
-- Server version	5.5.52-MariaDB

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

drop database pool;
create database pool;

grant all on pool.* to 'licensing'@'localhost' identified by 'l3c2ns3ngs2rv2r';

use pool;
--
-- Table structure for table `key`
--
DROP TABLE IF EXISTS `key`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `key` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `key` varchar(64) NOT NULL,
  `product_id` int(11) NOT NULL,
  `key_type_id` int(11) DEFAULT NULL,
  `key_state_id` int(11) DEFAULT NULL,
  `customer` varchar(32) DEFAULT NULL,
  `channels` varchar(10) NOT NULL,
  `serial` varchar(32) DEFAULT NULL,
  `date_begin` varchar(32) DEFAULT NULL,
  `date_end` varchar(32) DEFAULT NULL,
  `download_count` int(11) DEFAULT NULL,
  `last_download` datetime DEFAULT NULL,
  `activation_date` varchar(32) DEFAULT NULL,
  `activation_ip` varchar(16) DEFAULT NULL,
  `created_on` datetime NOT NULL,
  `updated_on` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `key` (`key`),
  KEY `product_id` (`product_id`),
  KEY `key_type_id` (`key_type_id`),
  KEY `key_state_id` (`key_state_id`),
  CONSTRAINT `key_ibfk_1` FOREIGN KEY (`product_id`) REFERENCES `product` (`id`),
  CONSTRAINT `key_ibfk_2` FOREIGN KEY (`key_type_id`) REFERENCES `key_type` (`id`),
  CONSTRAINT `key_ibfk_3` FOREIGN KEY (`key_state_id`) REFERENCES `key_state` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;


--
-- Table structure for table `key_history`
--

DROP TABLE IF EXISTS `key_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `key_history` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` varchar(32) DEFAULT NULL,
  `activity` varchar(128) DEFAULT NULL,
  `data` varchar(512) DEFAULT NULL,
  `key_id` int(11) DEFAULT NULL,
  `created_on` datetime DEFAULT NULL,
  `updated_on` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `key_id` (`key_id`),
  CONSTRAINT `key_history_ibfk_1` FOREIGN KEY (`key_id`) REFERENCES `key` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;


--
-- Table structure for table `key_state`
--

DROP TABLE IF EXISTS `key_state`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `key_state` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `key_state` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `key_state`
--

LOCK TABLES `key_state` WRITE;
/*!40000 ALTER TABLE `key_state` DISABLE KEYS */;
INSERT INTO `key_state` VALUES (1,'Created'),(2,'Bounded'),(3,'Expired'),(4,'Upgraded');
/*!40000 ALTER TABLE `key_state` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `key_type`
--

DROP TABLE IF EXISTS `key_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `key_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `key_type` varchar(16) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `key_type`
--

LOCK TABLES `key_type` WRITE;
/*!40000 ALTER TABLE `key_type` DISABLE KEYS */;
INSERT INTO `key_type` VALUES (1,'New License'),(2,'Upgrade');
/*!40000 ALTER TABLE `key_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pool`
--

DROP TABLE IF EXISTS `pool`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pool` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `used` int(11) DEFAULT NULL,
  `_total` varchar(32) NOT NULL,
  `iv` varchar(32) NOT NULL,
  `checksum` varchar(64) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pool`
--

LOCK TABLES `pool` WRITE;
/*!40000 ALTER TABLE `pool` DISABLE KEYS */;
INSERT INTO `pool` VALUES (1,0,'4hq8UE6EwqYS4gHz2Kpb3g==','XLZ1hZSNcfx05SgiiLYRkw==','UAxGWmAjUyNDSWgyDAZ5GAsuQFQAXw4JAw==');
/*!40000 ALTER TABLE `pool` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `product`
--

DROP TABLE IF EXISTS `product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `product` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `product` varchar(32) DEFAULT NULL,
  `short_name` varchar(16) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `product`
--

LOCK TABLES `product` WRITE;
/*!40000 ALTER TABLE `product` DISABLE KEYS */;
INSERT INTO `product` VALUES (1,'None','none'),(2,'NetBorder Carrier SBC','SBC-CAR'),(3,'Vega Enterprise SBC','SBC-ENT'),(4,'Vega Enterprise SBC VM','SBC-ENT-VM'),(5,'Vega Enterprise SBC Hybrid','SBC-ENT-HYBRID'),(6,'Vega Video MCU','MCU'),(7,'NetBorder SS7 Gateway','NSG'),(8,'NetBorder VoIP Gateway','NVG'),(9,'Lync Express','LyncExpress');
/*!40000 ALTER TABLE `product` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `serial_session`
--

DROP TABLE IF EXISTS `serial_session`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `serial_session` (
  `serial` varchar(64) NOT NULL,
  `sessions` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`serial`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `serial_session`
--

LOCK TABLES `serial_session` WRITE;
/*!40000 ALTER TABLE `serial_session` DISABLE KEYS */;
/*!40000 ALTER TABLE `serial_session` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `token`
--

DROP TABLE IF EXISTS `token`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `token` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `token` varchar(38) NOT NULL,
  `keys_count` int(11) DEFAULT NULL,
  `last_key` datetime DEFAULT NULL,
  `created_on` datetime DEFAULT NULL,
  `updated_on` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `token` (`token`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `token`
--

LOCK TABLES `token` WRITE;
/*!40000 ALTER TABLE `token` DISABLE KEYS */;
INSERT INTO `token` VALUES (1,'token-d75c6e5426d47bf00d8af8bca7b93da4',0,NULL,'2017-06-03 03:44:08','2017-06-03 03:44:08');
/*!40000 ALTER TABLE `token` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user`
--

DROP TABLE IF EXISTS `user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login` varchar(16) NOT NULL,
  `email` varchar(32) DEFAULT NULL,
  `password` varchar(72) DEFAULT NULL,
  `created_on` datetime DEFAULT NULL,
  `updated_on` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `login` (`login`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user`
--

LOCK TABLES `user` WRITE;
/*!40000 ALTER TABLE `user` DISABLE KEYS */;
INSERT INTO `user` VALUES (1,'admin','admin@amdin','pbkdf2:sha1:1000$1PlFJItB$2abc79c64b497193a7ad64eb4ee2155f77659776','2017-06-03 03:44:08','2017-06-03 03:44:08');
/*!40000 ALTER TABLE `user` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

DELIMITER //

create trigger trg_pool_one_row 
before INSERT ON pool
FOR EACH ROW
BEGIN
	DECLARE _count integer;
	SELECT COUNT(*) INTO _count from pool;
	IF _count > 0 THEN
	  signal sqlstate '45000';
	END IF;
END;//

DELIMITER ;

use mysql
update user set password=PASSWORD('l3c2ns3ngs2rv2r') where User='root';

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2017-06-04  0:45:33
