(function () {
    'use strict';

    angular
        .module('sngLicense.layout.controllers', [])
        .controller('HomePageController', HomePageController);

    HomePageController.$inject = ['$scope', 'LicenseRegistration', 'WizardHandler'];
    function HomePageController($scope, LicenseRegistration, WizardHandler) {
        var vmHomeCtrl = this;
        vmHomeCtrl.formData = {}
        vmHomeCtrl.postResult = {result: true}
        // initialize method
        vmHomeCtrl.selectProduct = selectProduct;
        vmHomeCtrl.submitDetails = submitDetails;

        activate();

        function activate() {
            var today = new Date();
            vmHomeCtrl.currentDate = today.getFullYear();
            vmHomeCtrl.activeProduct = 'NONE';
            vmHomeCtrl.isReady = false;
            vmHomeCtrl.selectedProduct = null;
            vmHomeCtrl.products = [];
            vmHomeCtrl.activeProductFull = {"category": 'Session Border Controllers', 'product': 'NetBorder/Vega SBC'};
            vmHomeCtrl.selectProduct('SBC');

            vmHomeCtrl.macAddress = ['nsg-binary', 'nsg-appliance', 'nvg-appliance', 'software']
            vmHomeCtrl.hddSerial = ['nsg-appliance', 'nvg-appliance', 'vega']

            // initialize form data
            vmHomeCtrl.formData.user_key = null;
            vmHomeCtrl.formData.mac = null;
            vmHomeCtrl.formData.media_mac_list = null;
            vmHomeCtrl.formData.hdd_list = null;
            vmHomeCtrl.formData.itu_pcode = null;
            vmHomeCtrl.formData.ansi_pcode = null;
            vmHomeCtrl.formData.upgrade_key = null;
            vmHomeCtrl.formData.contact_info = null;
            vmHomeCtrl.formData.email = null;
            vmHomeCtrl.formData.reseller = null;
        }

        function selectProduct(type) {
            var frm = angular.element($('form[name=frmDetails]')).scope(),
                frmDetails = typeof frm != 'undefined' ? frm.frmDetails : '';
            if (frmDetails != '') {
                frmDetails.itu_pcode.$setPristine();
                frmDetails.ansi_pcode.$setPristine();
            }

            vmHomeCtrl.formData.mac = null;
            vmHomeCtrl.formData.media_mac_list = null;
            vmHomeCtrl.formData.hdd_list = null;
            vmHomeCtrl.formData.itu_pcode = "";
            vmHomeCtrl.formData.ansi_pcode = "";

            vmHomeCtrl.isReady = true;
            switch (type) {
                case 'SBC':
                    vmHomeCtrl.activeProduct = type;
                    vmHomeCtrl.selectedProduct = 'vega';
                    vmHomeCtrl.products = [];
                    vmHomeCtrl.products.push({'value': 'vega', 'label': 'NetBorder/Vega SBC'});
                    vmHomeCtrl.products.push({'value': 'software', 'label': 'Vega Software SBC'});
                    vmHomeCtrl.products.push({'value': 'hybrid', 'label': 'Vega Hybrid SBC'});
                break;
                case 'NSG':
                    vmHomeCtrl.activeProduct = type;
                    vmHomeCtrl.selectedProduct = 'nsg-binary';
                    vmHomeCtrl.products = [];
                    vmHomeCtrl.products.push({'value': 'nsg-binary', 'label': 'NSG Binary'});
                    vmHomeCtrl.products.push({'value': 'nsg-appliance', 'label': 'NSG Carrier Appliance'});
                    vmHomeCtrl.activeProductFull = {"category": 'NetBorder SS7 Gateway', 'product': 'NSG Binary'};
                break;
                case 'NVG':
                    vmHomeCtrl.activeProductFull = {"category": 'NetBorder VoIP Gateway', 'product': 'NVG Carrier Appliance'};
                    vmHomeCtrl.activeProduct = type;
                    vmHomeCtrl.products = [];
                    vmHomeCtrl.selectedProduct = 'nvg-appliance';
                break;
                case 'vega':
                    vmHomeCtrl.activeProductFull = {"category": 'Session Border Controllers', 'product': 'NetBorder/Vega SBC'};
                break;
                case 'software':
                    vmHomeCtrl.activeProductFull = {"category": 'Session Border Controllers', 'product': 'Vega Software SBC'};
                break;
                case 'hybrid':
                    vmHomeCtrl.activeProductFull = {"category": 'Session Border Controllers', 'product': 'Vega Hybrid SBC'};
                break;
                case 'nsg-binary':
                    vmHomeCtrl.activeProductFull = {"category": 'NetBorder SS7 Gateway', 'product': 'NSG Binary'};
                break;
                case 'nsg-appliance':
                    vmHomeCtrl.activeProductFull = {"category": 'NetBorder VoIP Gateway', 'product': 'NSG Carrier Appliance'};
                break;
            }
        }
        function submitDetails(form_valid) {
            var product_category = vmHomeCtrl.activeProduct.toLowerCase();
            if (['sbc', 'nsg', 'nvg'].indexOf(product_category) == -1) return false;
            if (form_valid) {
                $scope.promiseRegister = LicenseRegistration.registerNSC(vmHomeCtrl.formData, product_category);
                $scope.promiseRegister.then(function (result) {
                    vmHomeCtrl.postResult = result.data;
                    if (result.data.result) {
                        WizardHandler.wizard().next();
                    }
                });
            }
            else
                alert('from is not valid!')
        }
    }
})();
