(function () {
    'use strict';

    angular
        .module('sngLicense.registration.services')
        .factory('LicenseRegistration', LicenseRegistration);

    LicenseRegistration.$inject = ['$http', 'baseConfig'];

    function LicenseRegistration($http, baseConfig) {
        var LicenseRegistration = {
            registerNSC: registerNSC
        };

        return LicenseRegistration;

        function registerNSC(data, type) {
            data.request_token = baseConfig.api_token;
            data.product = angular.element(document.getElementById('page-content')).scope().contentCtrl.selectedProduct;
            var transform = function(data){
                return $.param(data);
            }
            return $http.post(baseConfig.backend + 'license/' + ((type == 'nvg') ? 'nsg' : type) + '/new', data, {
                headers: { 'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'},
                transformRequest: transform
            }).then(registerSuccessFn, registerErrorFn);

            function registerSuccessFn(data, status, headers, config) {
                return {
                    success: true,
                    data: data.data
                };
            }
            function registerErrorFn(data, status, headers, config) {
                var result = {};
                if (data.status == -1) {
                    result = {
                        success: false,
                        reason: 'Could not submit to: ' + data.config.url
                    }
                } else {
                    result = {
                        success: false,
                        data: data.data
                    }
                }
                return result;
            }
        }
    }
})();
