(function() {
	'use strict';

	var mod = angular.module('sngLicense.validation.directives', []);
		
	mod.directive('mediaMacValidate', mediaMacValidate);
	mediaMacValidate.$inject = [];
	function mediaMacValidate() {
		return {
			restrict: 'A',
    		require: 'ngModel',
		    link: function(scope, elem, attrs, c) {
		      	scope.$watch(attrs.ngModel, function() {
			    	if (eval(attrs.mediaMacValidate) && c.$dirty) {
			      		var data = attrs.$$element[0].value;
			      		if (typeof data != 'undefined' && data != "") {
			      			data = data.split(',');
			      			var regex = new RegExp("^(([A-Fa-f0-9]{2}[:-]){5}[A-Fa-f0-9]{2}[,]?)+$"),
			      			keepgoing = true;
			      			angular.forEach(data, function(value, key) {
				      			if (count_array_item(data, value) > 1) {
				      				c.$setValidity('mediaMacValidate', false);
					      			c.errorMessage = 'MAC address: ' + value + ' is entered more than once.';
				      			}
			      				else if (keepgoing) {
			      					var check_mac = regex.test(value.trim());
			      					if (!check_mac) {
						      			c.$setValidity('mediaMacValidate', false);
						      			c.errorMessage = 'You entered a wrong MAC address: ' + value;
						      			keepgoing = false;		      						
			      					}
			      					else {
			      						c.$setValidity('mediaMacValidate', true);
			      						c.errorMessage = "";
			      					}
			      				}
							});
			      		}
			      		else {
			      			c.$setValidity('mediaMacValidate', false);
				      		c.errorMessage =  'You must enter at least 1 MAC address.';
			      		}
			    	}
			    	else {
			    		c.$setValidity('mediaMacValidate', true);
			    		c.errorMessage = "";
			    	}
        		});
    		}
		}
	}

	mod.directive('hddSerialValidate', hddSerialValidate);
	hddSerialValidate.$inject = [];
	function hddSerialValidate() {
		return {
			restrict: 'A',
    		require: 'ngModel',
		    link: function(scope, elem, attrs, c) {
		      	scope.$watch(attrs.ngModel, function() {
			    	if (eval(attrs.hddSerialValidate) && c.$dirty) {
			      		var data = attrs.$$element[0].value;
			      		if (typeof data != 'undefined' && data != "") {
			      			data = data.split(',');
			      			var keepgoing = true;
			      			angular.forEach(data, function(value, key) {
			      				if (count_array_item(data, value) > 1) {
				      				c.$setValidity('hddSerialValidate', false);
					      			c.errorMessage = 'HDD serial: ' + value + ' is entered more than once.';
				      			} else {
				      				c.$setValidity('hddSerialValidate', true);
				      				c.errorMessage =  '';
				      			}
							});
			      		}
			      		else {
			      			c.$setValidity('hddSerialValidate', false);
				      		c.errorMessage =  'You must enter at least 1 HDD serial.';
			      		}
			    	}
			    	else {
			    		c.$setValidity('hddSerialValidate', true);
			    		c.errorMessage =  '';
			    	}
        		});
    		}
		}
	}

	mod.directive('pointCodeValidate', pointCodeValidate);
	pointCodeValidate.$inject = [];
	function pointCodeValidate() {
		return {
			restrict: 'A',
    		require: 'ngModel',
		    link: function(scope, elem, attrs, c) {
		    	window.test= c;
		      	scope.$watch(attrs.ngModel, function() {
			    	if (attrs.pointCodeValidate && c.$dirty) {
			      		var frmDetail = c.$$parentForm,
				    		ansi_elem = frmDetail.ansi_pcode,
				    		itu =  typeof frmDetail.itu_pcode.$viewValue != 'undefined' ? frmDetail.itu_pcode.$viewValue : '',
				      		ansi = typeof frmDetail.ansi_pcode.$viewValue != 'undefined' ? frmDetail.ansi_pcode.$viewValue : '';

			      		if (itu == '' && ansi == '' && (ansi_elem.$dirty || c.$dirty) && angular.element($('#page-content')).scope().contentCtrl.selectedProduct != 'nsg-binary') {
			      			ansi_elem.$setValidity('pointCodeValidate', true);
				    		ansi_elem.errorMessage = "";
		      			}
			      		else if (itu == "" && ansi == "" ) {
			      			ansi_elem.$setValidity('pointCodeValidate', false);
				      		ansi_elem.errorMessage =  'You must specify ITU or ANSI Point Code';
			      		}
			      		else if (itu !== "" && ansi !== "") {
			      			ansi_elem.$setValidity('pointCodeValidate', false);
				      		ansi_elem.errorMessage =  'You must specify either ITU or ANSI Point Code not both';
			      		}
			      		else {
				    		ansi_elem.$setValidity('pointCodeValidate', true);
				    		ansi_elem.errorMessage = "";
				    	}
			    	}
			    	else {
			    		c.$setValidity('pointCodeValidate', true);
			    		c.errorMessage = "";
			    	}
        		});
    		}
		}
	}

	mod.directive('upgradeKeyValidate', upgradeKeyValidate);
	upgradeKeyValidate.$inject = [];
	function upgradeKeyValidate() {
		return {
			restrict: 'A',
    		require: 'ngModel',
		    link: function(scope, elem, attrs, c) {
		      	scope.$watch(attrs.ngModel, function() {
		      		var frmDetail = c.$$parentForm,
			    		user_key = frmDetail.user_key.$viewValue,
			    		upgrade_key = frmDetail.upgrade_key.$viewValue;
		      		if (user_key == upgrade_key && c.$dirty) {
			    		c.$setValidity('upgradeKeyValidate', false);
			    		c.errorMessage = "Upgrade key cannot be the same as original license key.";
			    	}
			    	else {
			    		c.$setValidity('upgradeKeyValidate', true);
			    		c.errorMessage = "";
			    	}
        		});
    		}
		}
	}
	function count_array_item(arr, item) {
	    var count = 0;

	    for ( var i = 0; i < arr.length; i++ ) {
	        if (arr[i].trim() == item.trim()) count++;
	    }
	    return count;
	}
})();